Skip to main content
`Ctrl`+`K`

# PetscHMapIVCreateWithSize

Create a hash table with a given initial size

## Synopsis

    #include <petsc/private/hashmapiv.h>
    PetscErrorCode PetscHMapIVCreateWithSize(PetscInt n, PetscHMapIV *ht)

## Input Parameter

- n - The size of the hash table

## Output Parameter

- ht - The hash table

## Note

`n` must be non-negative.

## See Also

`PetscHMapIVCreate()`, `PetscHMapIVDestroy()`

## Level

developer

## Location

include/petsc/private/hashmap.txt.h

Index of all PetscH routines
Table of Contents for all manual pages
Index of all manual pages